summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--lib/common.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/lib/common.sh b/lib/common.sh
index b885080..104850b 100644
--- a/lib/common.sh
+++ b/lib/common.sh
@@ -79,8 +79,9 @@ trap_abort() {
}
trap_exit() {
+ local r=$?
trap - EXIT INT QUIT TERM HUP
- cleanup
+ cleanup $r
}
die() {